/* 数组洗牌 */
// export function shuffle(arr) {
//   for (let i = 1; i < arr.length; i++) {
//     // eslint-disable-next-line
//     const random = Math.floor(Math.random() * (i + 1));
//     // eslint-disable-next-line
//     [arr[i], arr[random]] = [arr[random], arr[i]];
//   }
//   return arr
// }
export function shuffle(arr) {
  const len = arr.length
  for (let i = 0; i < len; i++) {
    // eslint-disable-next-line
    let idx = Math.floor(Math.random() * (len - i));
    // eslint-disable-next-line
    [arr[len - 1 - i], arr[idx]] = [arr[idx], arr[len - 1 - i]];
  }
  return arr
}

/* 获取一个范围中的随机数 */
export function getRandomNum(n, m) {
  const num = Math.floor(Math.random() * (m - n + 1) + n)
  return num
}

/* 判断是否为偶数 */
export function getIsEven(num) {
  return num % 2 === 0
}
